+ Post New Thread
Page 1 of 651 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 16260

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 95,498
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 77,407
    18th Sep 2006 10:46 pm Go to last post
  1. Algorithm: 4 point boundary, the area is the smallest.

    Algorithm: 4 point boundary, the area is the smallest.

    Started by ssdd‎, Today 05:31 pm
    • Replies: 2
    • Views: 52
    Today 06:52 pm Go to last post
  2. Smile Boundary Creation Lisp- a request

    Hi, I am doing a work that prompts me to use boundary creation often so I would like to request for Boundary creation LISP. The normal process (AutoCad 2007) when I typed in a command for boundary or...

    Started by onzki‎, 6th Jul 2010 03:13 am
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 13,848
    Today 04:59 pm Go to last post
  3. How to check if color of object is set to rgb

    As topic says, how to check if object color is set to rgb. For example if I will manually set rgb color to 255,255,0 (yellow) - how to verify that this is true color and not aci?

    Started by ziele_o2k‎, Today 09:07 am
    • Replies: 6
    • Views: 130
    Today 03:51 pm Go to last post
  4. Reference an attribute of a block on itself.

    Hi everybody. Here goes my first post. I'm using Autocad map 3D 2013. I dont know how to create any lisps. Thank you for any help, any is really appreciated since that i know that is really taking...

    Started by mvr600‎, Today 03:27 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 145
    Today 03:07 pm Go to last post
  5. SheetSetManager Publish to PDF

    Hello. Please advise me some way Is it possible to programmatically (lisp, .NET, arx) call "Publish to PDF" from SheetSet Manager

    Started by withoutdix‎, Today 10:16 am
    • Replies: 0
    • Views: 49
    Today 10:16 am Go to last post
  6. Angry Updated TXT2MTXT not doing what I want

    Since AutoCAD recently brought the TXT2MTXT command from Express Tools into main AutoCAD, and updated/improved it in the process, I can't get it to consistently do what I want. 1. Converted MTEXT...

    Started by Rooster‎, 4th Jul 2017 10:21 am
    4 Pages
    1 2 3 ... 4
    • Replies: 33
    • Views: 5,662
    Today 08:33 am Go to last post
  7. Question offset table (intersection points)

    hi all, i have drawings that contains stations and waterlines as polyline or spline. (in att. dwg named as ST0, ST1...ST20, and WL0 to WL8) there may be other stations or waterlines such as...

    Started by bkartal16‎, 15th May 2018 10:08 am
    • Replies: 5
    • Views: 232
    Today 07:18 am Go to last post
  8. Rotating in segments

    Hi All Is it possible in Autolisp to insert a block (In this case it's a line) then pick a point (this point defines the centre of an imaginary circle) once the point is picked I would like to...

    Started by TunzaGibbo‎, Yesterday 02:12 pm
    • Replies: 5
    • Views: 182
    Today 01:31 am Go to last post
  9. Settings for an angle

    After I pick my dimension point I will pick a point at about say about 20 degrees. Then what I'm trying to say with the first "IF" statement is that if p2 is somewhere between 0 deg and 45 deg then...

    Started by TunzaGibbo‎, 18th May 2018 03:22 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 395
    Yesterday 12:31 am Go to last post
  10. Circle inside the Block

    (setq xss2 (ssget"C"pt1 pt2 '((0 . "INSERT") ))) In my blocks there is a circle.How can I find out the radius of that

    Started by wimal‎, 14th May 2018 11:23 am
    2 Pages
    1 2
    • Replies: 18
    • Views: 443
    19th May 2018 08:40 am Go to last post
  11. Quick question about block insertion point

    Hi, I'm playing with blocks data extraction. I just want to be sure. The best way to get block insertion point in WCS/UCS is: For ename: (trans (cdr (assoc 10 (entget _ent))) _ent 0) ;WCS...

    Started by ziele_o2k‎, 17th May 2018 11:04 pm
    • Replies: 3
    • Views: 194
    19th May 2018 02:10 am Go to last post
  12. draw a polyline based on coordinates

    I'm trying to cut a long routine into smaller ones. This time, I'm trying to (lik ethe title says) draw a polyline based on given coordinates. I'll have a list of 2D coordinates (take this for...

    Started by saim‎, 17th May 2018 07:33 pm
    • Replies: 7
    • Views: 210
    19th May 2018 02:02 am Go to last post
  13. I need help getting the shortest distance from a point to a slanted line #AsBuilt

    Good Morning, I am pretty new to AutoCad, and would appreciate if anyone out there could help. I understand how LISP files work, and have been making use of these LISP files to create as-built...

    Started by cricket‎, 17th May 2018 01:11 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 315
    18th May 2018 01:27 pm Go to last post
  14. Join lines on same layer

    Hello everyone. I'm trying to put together a lisp to be able to select a line, which will cause all the lines on that layer to be selected, then using the join command will make any lines connected...

    Started by MrCocopuffz‎, 16th May 2018 08:38 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 314
    18th May 2018 11:52 am Go to last post
  15. Unhappy Add previous objects to group

    Good day, What i know is dangerous. I have a basic lisp that draws a couple of lines and arc's. --------------- (command "LINE" IP P4 P5 P6 P16 P15 P14 "C") (command "LINE" P1 P8 "") (command...

    Started by trefan123‎, 16th May 2018 07:47 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 307
    18th May 2018 04:05 am Go to last post
  16. define block with autolisp

    Hello everyone, Is it possible to get with autolisp while running a block command, to get all possibilities that the normal block command has? When running the block command thru autlisp it...

    Started by svorgodne‎, 17th May 2018 10:23 am
    • Replies: 5
    • Views: 177
    17th May 2018 05:44 pm Go to last post
  17. Points of leader

    (setq pt(nentsel (strcat "\n Select a leader < exit > : ")));get entity (setq e (entget (car pt)));;association list of entity (setq p1 (assoc 10 e)) How can I get 3 points of leader.

    Started by wimal‎, 16th May 2018 10:44 am
    • Replies: 4
    • Views: 195
    17th May 2018 04:40 am Go to last post
  18. hatch dxf group

    hello everyone, what is the dxf group for a hatch that was generated from an opened polyline? Thanks in advance

    Started by svorgodne‎, 15th May 2018 05:26 pm
    • Replies: 7
    • Views: 225
    16th May 2018 01:52 pm Go to last post
  19. Undefine, Redefine and localized version of Autocad

    Hello. I can't complete a simple task which requires of using Undefine and Defun functions to cover builtin function in localized Autocad 2010. I need to replace PASTEBLOCK. In my version PASTEBLOCK...

    Started by Ryszard‎, 9th May 2018 07:18 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 414
    16th May 2018 12:22 pm Go to last post
  20. Question Change layer name and layer pro. Automatically

    I have xref but with layer name and layer pro. Different from my dwg. So i want to change layer names and its pro. Automatically when i upload the xref xref for structural design dwg. (...

    Started by AHMED18‎, 16th May 2018 10:41 am
    • Replies: 0
    • Views: 124
    16th May 2018 10:41 am Go to last post
  21. Single Xline by lisp

    (command "xline""H") I need draw a single xline through a selected point on the screen. And find the coordinates of picked point. The above code is working , but does not stop after inserting one...

    Started by wimal‎, 14th May 2018 07:43 am
    • Replies: 8
    • Views: 269
    16th May 2018 10:04 am Go to last post
  22. Cross-Section Elevation + Distance Lisp

    Hi I have found attached lisp.This lisp labels any point on a cros-sections with elevetion and distance.(Please see the linked video).What i need is; 1- How can i edit this routine due to...

    Started by folderdash‎, 9th May 2018 08:33 am
    2 Pages
    1 2
    • Replies: 15
    • Views: 681
    16th May 2018 07:05 am Go to last post
  23. txt to excel LISP

    Hi, I have been searching for a lisp to export txt to excel. Every lisp i've come across doesn't quite cut it. We use AutoCAD LT 2013 and AutoCAD 07. I want from every txt object (of a certain...

    Started by TekenaarNL‎, 27th May 2013 12:18 pm
    export, lisp files, txtexp
    • Replies: 9
    • Views: 17,547
    15th May 2018 07:21 pm Go to last post
  24. xref saved path find and replace: drawing name

    Hi guys, Long time reader, seldom if ever poster. I think I've got a good one this time and can't find a solution. I'm seeking to find and replace strings in hundreds of xref paths. It's not...

    Started by dingleboy‎, 20th Sep 2012 09:05 pm
    find, path, replace, xref
    • Replies: 9
    • Views: 8,129
    15th May 2018 06:02 pm Go to last post
  25. Copy and rotate, move and rotate

    hello when executing the commands the elements are duplicated in the same place, will there be any way that does not happen? and that the command be repeated Thank you. ((defun c: cr () (princ...

    Started by KARDOLITO89‎, 13th May 2018 04:55 pm
    • Replies: 2
    • Views: 154
    15th May 2018 05:58 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts